import { ChartSeries } from '../interfaces/ChartData.interface';
import { ChartDataAdapter } from '../interfaces/ChartDataAdapterFactory.interface';
import { ChartConfiguration } from '../models/ChartConfiguration.class';
export declare class GenericDataAdapter implements ChartDataAdapter {
    protected chartConf: ChartConfiguration;
    protected xAxis: string;
    protected yAxis: Array<string>;
    constructor(chartConf: ChartConfiguration);
    adaptResult(data: Array<any>): Array<ChartSeries>;
    processSeriesValues(data: Array<Object>): Object;
}
