import { OTranslateService } from 'ontimize-web-ngx';
import { ChartFactory } from '../../interfaces/ChartFactory.interface';
import { ChartConfiguration } from '../../models/options/ChartConfiguration.class';
export declare class OChartFactory implements ChartFactory {
    protected translate: OTranslateService;
    constructor(translate: OTranslateService);
    createChartOptions(chartConf: ChartConfiguration): Object;
    createLineChartOptions(chartConf: ChartConfiguration): any;
    createDiscreteBarChartOptions(chartConf: ChartConfiguration): any;
    createPieChartOptions(chartConf: ChartConfiguration): any;
    createMultiBarChartOptions(chartConf: ChartConfiguration): any;
    createMultiBarHorizontalChartOptions(chartConf: ChartConfiguration): any;
    createScatterChartOptions(chartConf: ChartConfiguration): any;
    createDonutChartOptions(chartConf: ChartConfiguration): any;
    createLinePlusBarOptions(chartConf: ChartConfiguration): any;
    createForceDirectedGraph(chartConf: ChartConfiguration): any;
    createCandlestickBarChart(chartConf: ChartConfiguration): any;
    createOhlcBarChart(chartConf: ChartConfiguration): any;
    createBulletChartOptions(chartConf: ChartConfiguration): any;
    createGaugeDashboardChartOptions(chartConf: ChartConfiguration): any;
    createGaugeSlimChartOptions(chartConf: ChartConfiguration): any;
    createGaugeSpaceChartOptions(chartConf: ChartConfiguration): any;
    createRadialPercentChartOptions(chartConf: ChartConfiguration): any;
    createGaugeSimpleChartOptions(chartConf: ChartConfiguration): any;
    createBubbleChartOptions(chartConf: ChartConfiguration): any;
    createStackedAreaChartOptions(chartConf: ChartConfiguration): any;
    createRadarChartOptions(chartConf: ChartConfiguration): any;
    createParallelCoordinatesChartOptions(chartConf: ChartConfiguration): any;
}
