import { ChartAxisConfiguration } from './ChartAxisConfiguration.class';
import { ChartConfiguration } from './ChartConfiguration.class';
import { ChartControlConfiguration } from './ChartControlConfiguration.class';
import { ChartLegendConfiguration } from './ChartLegendConfiguration.class';
import { ChartMarginConfiguration } from './ChartMarginConfiguration.class';
export declare class MultiBarChartConfiguration extends ChartConfiguration {
    readonly type: string;
    margin: ChartMarginConfiguration;
    showLegend: boolean;
    legend: ChartLegendConfiguration;
    duration: number;
    stacked: boolean;
    hideable: boolean;
    groupSpacing: number;
    reduceXTicks: boolean;
    showControls: boolean;
    control: ChartControlConfiguration;
    rotateLabels: number;
    wrapLabels: boolean;
    showXAxis: boolean;
    showYAxis: boolean;
    rightAlignYAxis: boolean;
    x1Axis: ChartAxisConfiguration;
    y1Axis: ChartAxisConfiguration;
    color: string[];
    constructor();
}
