import { ChartAxisConfiguration } from './ChartAxisConfiguration.class';
import { ChartConfiguration } from './ChartConfiguration.class';
import { ChartLegendConfiguration } from './ChartLegendConfiguration.class';
import { ChartMarginConfiguration } from './ChartMarginConfiguration.class';
export declare class MultiBarHorizontalChartConfiguration extends ChartConfiguration {
    readonly type: string;
    showLegend: boolean;
    legend: ChartLegendConfiguration;
    /** Allow user to switch between "Grouped" and "Stacked" mode */
    showControls: boolean;
    /** Show bar value next to each bar */
    showValues: boolean;
    margin: ChartMarginConfiguration;
    valuePadding: number;
    groupSpacing: number;
    duration: number;
    stacked: boolean;
    showXAxis: boolean;
    showYAxis: boolean;
    x1Axis: ChartAxisConfiguration;
    y1Axis: ChartAxisConfiguration;
    color: string[];
    /** Formats value(s) */
    valueType: string;
    /** Enables or disabled the tooltip */
    showTooltip: boolean;
    constructor();
}
