import { ChartConfiguration } from './ChartConfiguration.class';
import { ChartLegendConfiguration } from './ChartLegendConfiguration.class';
export declare class RadarChartConfiguration extends ChartConfiguration {
    readonly type: string;
    color: Array<string>;
    min: number;
    max: number;
    stepSize: number;
    factor: number;
    opacityArea: number;
    key: string;
    dimensions: Array<string>;
    legend: ChartLegendConfiguration;
    showLegend: boolean;
    constructor();
}
