import { nvD3 } from 'ontimize-web-ngx-nvd3';
import { ChartMarginConfiguration } from '../models/options/ChartMarginConfiguration.class';
export declare class ChartService {
    private _chart;
    private _chartWrapper;
    readonly chart: any;
    chartWrapper: nvD3;
    /**
     * Returns all configured options of chart.
     * @returns Object
     */
    getChartOptions(): Object;
    setXAxisLabel(text: string): void;
    setXAxisLabelDistance(distance: number): void;
    setYAxisLabel(text: string): void;
    setYAxisLabelDistance(distance: number): void;
    setMargin(margin: ChartMarginConfiguration): void;
}
