import { ChartSeries } from '../interfaces/ChartData.interface';
import { ChartDataAdapter } from '../interfaces/ChartDataAdapterFactory.interface';
import { ChartConfiguration } from '../models/ChartConfiguration.class';
export declare class LineDataAdapter implements ChartDataAdapter {
    protected chartConf: ChartConfiguration;
    protected xAxis: string;
    protected yAxis: string[];
    constructor(chartConf: ChartConfiguration);
    adaptResult(data: any[]): ChartSeries[];
    processSeriesValues(data: any[]): Object;
}
