import { ChartPoint } from '../interfaces/ChartData.interface';
import { ChartDataAdapter } from '../interfaces/ChartDataAdapterFactory.interface';
import { ChartConfiguration } from '../models/ChartConfiguration.class';
export declare class PieDataAdapter<T extends ChartConfiguration> implements ChartDataAdapter {
    protected chartConf: T;
    protected xAxis: string;
    protected yAxis: string;
    constructor(chartConf: T);
    adaptResult(data: any[]): ChartPoint[];
    filterCategory(category: string, values: ChartPoint[]): ChartPoint[];
}
