import { ChartDataAdapter, ChartDataAdapterFactory } from '../../interfaces/ChartDataAdapterFactory.interface';
import { ChartConfiguration } from '../../models/ChartConfiguration.class';
export declare class OChartDataAdapterFactory implements ChartDataAdapterFactory {
    protected chartConf: ChartConfiguration;
    constructor(chartConf: ChartConfiguration);
    getAdapter(chartType: string): ChartDataAdapter;
    createGenericDataAdapter(): ChartDataAdapter;
    createPieDataAdapter(): ChartDataAdapter;
    createLineDataAdapter(): ChartDataAdapter;
    createScatterDataAdapter(): ChartDataAdapter;
    createDiscreteBarDataAdapter(): ChartDataAdapter;
    createMultiBarDataAdapter(): ChartDataAdapter;
    createMultiBarHorizontalDataAdapter(): ChartDataAdapter;
    createLinePlusBarDataAdapter(): ChartDataAdapter;
    createForceDirectedGraphDataAdapter(): ChartDataAdapter;
    createCandlestickDataAdapter(): ChartDataAdapter;
    createOhlcDataAdapter(): ChartDataAdapter;
    createBulletDataAdapter(): ChartDataAdapter;
    createGaugeDataAdapter(): ChartDataAdapter;
    createGaugeSimpleDataAdapter(): ChartDataAdapter;
    createStackedAreaDataAdapter(): ChartDataAdapter;
    createRadarDataAdapter(): ChartDataAdapter;
    createParallelCoordinatesDataAdapter(): ChartDataAdapter;
}
