import { OTranslateService } from 'ontimize-web-ngx';
import { ChartConfiguration } from './ChartConfiguration.class';
import { D3LocaleOptions } from './D3LocaleOptions';
export declare class AbstractChartOptions {
    protected translate: OTranslateService;
    protected chartConf: ChartConfiguration;
    protected type: string;
    protected d3Locale: D3LocaleOptions;
    constructor(chartConf: ChartConfiguration, translate: OTranslateService);
    init(chartConf: ChartConfiguration): void;
    getOptions(): Object;
    protected getChartOptions(): Object;
    protected getChartType(): string;
    protected getChartHeight(): number;
    protected getXValue(): Function;
    protected getYValue(): Function;
    protected isArea(): Function;
    protected getXAxisConfiguration(): Object;
    protected getYAxisConfiguration(): Object;
    protected getTickFormatter(type: string): any;
}
