import { AbstractChartOptions } from './AbstractChartOptions.class';
export declare class CandlestickChartOptions extends AbstractChartOptions {
    getChartOptions(): {
        type: string;
        height: number;
        width: number;
        x: (d: any) => any;
        y: (d: any) => any;
        low: (d: any) => any;
        high: (d: any) => any;
        xAxis: Object;
        yAxis: Object;
        showXAxis: boolean;
        showYAxis: boolean;
        rightAlignYAxis: boolean;
        legend: any;
        showLegend: boolean;
        zoom: {
            enabled: boolean;
            scaleExtend: [number, number];
            useFixedDomain: boolean;
            useNiceScale: boolean;
            horizontalOff: boolean;
            verticalOff: boolean;
            unzoomEventType: string;
        };
        useInteractiveGuideline: boolean;
        padData: boolean;
        clipEdge: boolean;
        noData: string;
    };
    getChartType(): string;
    getLow(): (d: any) => any;
    getHigh(): (d: any) => any;
    getXValue(): (d: any) => any;
    getYValue(): (d: any) => any;
}
