import { ChartConfiguration } from './ChartConfiguration.class';
import { ChartLegendConfiguration } from './ChartLegendConfiguration.class';
import { ChartAxisConfiguration } from './ChartAxisConfiguration.class';
import { ChartMarginConfiguration } from './ChartMarginConfiguration.class';
export declare class DiscreteBarChartConfiguration extends ChartConfiguration {
    readonly type: string;
    showValues: boolean;
    duration: number;
    showLegend: boolean;
    legend: ChartLegendConfiguration;
    staggerLabels: boolean;
    rotateLabels: number;
    wrapLabels: boolean;
    showXAxis: boolean;
    showYAxis: boolean;
    rightAlingYAxis: boolean;
    x1Axis: ChartAxisConfiguration;
    y1Axis: ChartAxisConfiguration;
    margin: ChartMarginConfiguration;
    agroup: boolean;
    constructor();
}
