import { ChartMarginConfiguration } from './ChartMarginConfiguration.class';
import { ChartConfiguration } from './ChartConfiguration.class';
import { ForceDirectedGraphNode } from './ForceDirectedGraphNode.class';
import { ForceDirectedGraphLink } from './ForceDirectedGraphLink.class';
export declare class ForceDirectedGraphConfiguration extends ChartConfiguration {
    readonly type: string;
    margin: ChartMarginConfiguration;
    linkStrength: number;
    friction: number;
    linkDist: number;
    charge: number;
    gravity: number;
    theta: number;
    alpha: number;
    radius: number;
    nodes: Array<ForceDirectedGraphNode>;
    links: Array<ForceDirectedGraphLink>;
    constructor();
    readonly _nodes: ForceDirectedGraphNode[];
    readonly _links: ForceDirectedGraphLink[];
}
