import { ChartAxisConfiguration } from './ChartAxisConfiguration.class';
import { ChartConfiguration } from './ChartConfiguration.class';
import { ChartLegendConfiguration } from './ChartLegendConfiguration.class';
import { ChartMarginConfiguration } from './ChartMarginConfiguration.class';
export declare class LineChartConfiguration extends ChartConfiguration {
    readonly type: string;
    legend: ChartLegendConfiguration;
    legendPosition: string;
    showLegend: boolean;
    duration: number;
    useInteractiveGuideline: boolean;
    interactive: boolean;
    margin: ChartMarginConfiguration;
    isArea: boolean[];
    strokeWidth: number[];
    classed: string[];
    color: string[];
    showXAxis: boolean;
    showYAxis: boolean;
    x1Axis: ChartAxisConfiguration;
    y1Axis: ChartAxisConfiguration;
    rightAlignYAxis: boolean;
    forceX: number[];
    forceY: number[];
    focusEnable: boolean;
    focusShowAxisX: boolean;
    focusShowAxisY: boolean;
    constructor();
}
