import { ChartAxisConfiguration } from './ChartAxisConfiguration.class';
import { ChartConfiguration } from './ChartConfiguration.class';
import { ChartLegendConfiguration } from './ChartLegendConfiguration.class';
import { ChartMarginConfiguration } from './ChartMarginConfiguration.class';
export declare class LinePlusBarFocusChartConfiguration extends ChartConfiguration {
    readonly type: string;
    x1Axis: ChartAxisConfiguration;
    y1Axis: ChartAxisConfiguration;
    y2Axis: ChartAxisConfiguration;
    switchYAxisOrder: boolean;
    showLabels: boolean;
    showLegend: boolean;
    legend: ChartLegendConfiguration;
    duration: number;
    margin: ChartMarginConfiguration;
    isArea: any;
    interactive: boolean;
    focusEnable: boolean;
    focusShowAxisX: boolean;
    focusShowAxisY: boolean;
    forceX: number[];
    forceY: number[];
    bars: boolean[];
    color: string[];
    to_zero: boolean[];
    to_previusValue: boolean[];
    constructor();
    protected functionIsArea(): Function;
}
