import { ChartConfiguration } from './ChartConfiguration.class';
import { ChartAxisConfiguration } from './ChartAxisConfiguration.class';
import { ChartLegendConfiguration } from './ChartLegendConfiguration.class';
import { ChartZoomConfiguration } from './ChartZoomConfiguration.class';
export declare class OHLCChartConfiguration extends ChartConfiguration {
    readonly type: string;
    x1Axis: ChartAxisConfiguration;
    showXAxis: boolean;
    y1Axis: ChartAxisConfiguration;
    showYAxis: boolean;
    rightAlignYAxis: boolean;
    legend: ChartLegendConfiguration;
    showLegend: boolean;
    zoom: ChartZoomConfiguration;
    low: any;
    high: any;
    useInteractiveGuideline: boolean;
    padData: boolean;
    clidEdge: boolean;
    xColumn: string;
    openAxis: string;
    closeAxis: string;
    highAxis: string;
    lowAxis: string;
    constructor();
}
