import { AbstractChartOptions } from './AbstractChartOptions.class';
export declare class RadarChartOptions extends AbstractChartOptions {
    getChartOptions(): {
        type: string;
        height: number;
        width: number;
        duration: number;
        color: string[];
        min: number;
        max: number;
        stepSize: number;
        factor: number;
        opacityArea: number;
        legend: any;
        showLegend: boolean;
        noData: string;
    };
    getColor(): void;
}
