import { ChartAxisConfiguration } from './ChartAxisConfiguration.class';
import { ChartConfiguration } from './ChartConfiguration.class';
import { ChartLegendConfiguration } from './ChartLegendConfiguration.class';
import { ChartMarginConfiguration } from './ChartMarginConfiguration.class';
export declare class ScatterChartConfiguration extends ChartConfiguration {
    readonly type: string;
    showDistX: boolean;
    showDistY: boolean;
    showXAxis: boolean;
    showYAxis: boolean;
    showLegend: boolean;
    legend: ChartLegendConfiguration;
    duration: number;
    margin: ChartMarginConfiguration;
    clipEdge: boolean;
    rightAlignYAxis: boolean;
    x1Axis: ChartAxisConfiguration;
    y1Axis: ChartAxisConfiguration;
    color: string[];
    shape: string[];
    size: number[];
    constructor();
}
