import { ChartConfiguration } from './ChartConfiguration.class';
import { ChartAxisConfiguration } from './ChartAxisConfiguration.class';
import { ChartZoomConfiguration } from './ChartZoomConfiguration.class';
import { ChartLegendConfiguration } from './ChartLegendConfiguration.class';
import { ChartControlConfiguration } from './ChartControlConfiguration.class';
export declare class StackedAreaChartConfiguration extends ChartConfiguration {
    readonly type: string;
    x1Axis: ChartAxisConfiguration;
    showXAxis: boolean;
    y1Axis: ChartAxisConfiguration;
    showYAxis: boolean;
    rightAlignYAxis: boolean;
    legend: ChartLegendConfiguration;
    showLegend: boolean;
    control: ChartControlConfiguration;
    showControls: boolean;
    zoom: ChartZoomConfiguration;
    useInteractiveGuideline: boolean;
    style: string;
    interactive: boolean;
    useVoronoi: boolean;
    showVoronoi: boolean;
    color: Array<string>;
    constructor();
}
