import { AbstractChartOptions } from './AbstractChartOptions.class';
export declare class StackedAreaChartOptions extends AbstractChartOptions {
    protected getChartType(): string;
    protected getChartOptions(): {
        type: string;
        duration: number;
        height: number;
        width: number;
        x: Function;
        y: Function;
        xAxis: Object;
        showXAxis: boolean;
        yAxis: Object;
        showYAxis: boolean;
        rightAlignYAxis: boolean;
        legend: any;
        showLegend: boolean;
        control: {
            align: boolean;
            rightAlign: boolean;
            maxKeyLenght: number;
            radioButtonMode: boolean;
            expanded: boolean;
            padding: number;
        };
        showControls: boolean;
        zoom: {
            enabled: boolean;
            scaleExtend: [number, number];
            useFixedDomain: boolean;
            useNiceScale: boolean;
            horizontalOff: boolean;
            verticalOff: boolean;
            unzoomEventType: string;
        };
        useInteractiveGuideline: boolean;
        style: string;
        interactive: boolean;
        useVoronoi: boolean;
        showVoronoi: boolean;
        noData: string;
    };
}
